Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa
Class IncomingAddressingHeaders

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.IncomingAddressingHeaders

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IncomingAddressingHeaders

    public abstract class IncomingAddressingHeaders

extends Object
implements Serializable

Copyright © 2005, Atomikos. All rights reserved. Defines access for incoming addressing data (mainly reference properties), and allows easy conversion into reply address data. This class also minimizes application dependencies on versions of WSA. The existence of configured and version-specific WSA handlers is necessary for this design to work correctly.

See Also:
  Serialized Form

Field Summary
`protected String` | `messageId`
`protected String` | `target`

Constructor Summary
`protected` | `IncomingAddressingHeaders()`

Method Summary
`abstract OutgoingAddressingHeaders` | `createFaultAddress()` Creates a fault address according to the fault/reply parameters in the incoming addressing data.
`abstract OutgoingAddressingHeaders` | `createReplyAddress()` Creates a reply address according to the reply parameters in the incoming addressing data.
`String` | `getMessageId()` Gets the messageID if any.
`String` | `getTarget()` Gets the target URI as contained in the reference properties of the addressing headers.
`protected void` | `setMessageId(String msgId)`
`protected void` | `setTarget(String target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected String target

### messageId

    protected String messageId

Constructor Detail

### IncomingAddressingHeaders

    protected IncomingAddressingHeaders()

Method Detail

### setMessageId

    protected void setMessageId(String msgId)

### setTarget

    protected void setTarget(String target)

### getTarget

    public String getTarget()

  Gets the target URI as contained in the reference properties of the addressing headers.

  Returns:
    The URI, or null if not found.

### getMessageId

    public String getMessageId()

  Gets the messageID if any.

  Returns:

### createReplyAddress

    public abstract OutgoingAddressingHeaders createReplyAddress()

  Creates a reply address according to the reply parameters in the incoming addressing data.

  Returns:
    The reply address, or null if no reply headers were present. The result will automatically have the to, reference properties, and the relatesTo headers set appropriately.

### createFaultAddress

    public abstract OutgoingAddressingHeaders createFaultAddress()

  Creates a fault address according to the fault/reply parameters in the incoming addressing data.

  Returns:
    The address, or null if not applicable. The result will automatically have the to, reference properties, and the relatesTo headers set appropriately.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.